%define api	0.3
%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		grilo-plugins
Version:	0.3.9
Release:	%mkrel 1
Summary:	Plugins for the Grilo framework
Group:		System/Libraries
License:	LGPLv2+
Url:		https://wiki.gnome.org/Grilo
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gperf
BuildRequires:	gstreamer1.0-plugins-bad
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libgcrypt-devel
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gom-1.0)
BuildRequires:	pkgconfig(gom-1.0)
BuildRequires:	pkgconfig(grilo-%{api})
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gupnp-1.0)
BuildRequires:	pkgconfig(gupnp-av-1.0)
BuildRequires:	pkgconfig(libdmapsharing-3.0)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(totem-plparser)
Requires:	grilo >= 0.2.4
Requires:	dleyna-server

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Euronews
- Filesystem
- Flickr
- Freebox (Internet Box from the French ISP Free)
- Gravatar
- Guardian Videos
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Metro lyrics
- Pocket
- Podcasts
- Radio France
- Shoutcast
- Tracker
- UPnP
- Vimeo
- Youtube

%prep
%setup -q

%build
%meson -Denable-freebox=yes

%meson_build

%install
%meson_install

# Remove files that will not be packaged
rm %{buildroot}%{_datadir}/help/*/examples/example-tmdb.c

%find_lang %{name} --with-gnome

mkdir -p %buildroot/%{_datadir}/grilo-plugins
cp %buildroot/%{_libdir}/grilo-%{api}/libgrl*.so %buildroot/%{_datadir}/grilo-plugins

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_libdir}/grilo-%{api}/libgrl*.so
%{_libdir}/pkgconfig/grilo-plugins-%{api}.pc
%{_datadir}/grilo-plugins/
%{_datadir}/help

%changelog
* Sun Jul 21 2019 tex - 0.3.9-1pclos2019
- new version

* Sat Mar 09 2019 tex 0.3.8-1pclos2019
- import from france

